<?php

use yii\db\Schema;
use yii\db\Migration;

class m160502_055142_add_table_waste extends Migration
{
    public function up()
    {
    	$tableOptions = null;
    	if ($this->db->driverName === 'mysql') {
    		// http://stackoverflow.com/questions/766809/whats-the-difference-between-utf8-general-ci-and-utf8-unicode-ci
    		$tableOptions = 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB';
    	}
    	 
    	$this->createTable('{{%waste}}', [
    			'id_waste' => $this->primaryKey(),
    			'count' => $this->integer(11),
    			'id_product' => $this->integer(11),
    			'stock_before' => $this->integer(11),
    			'stock_after' => $this->integer(11),
    			'id_user' => $this->integer(11),
    			'comment' => $this->string(),
    			'created_at' => $this->dateTime()->notNull(),
    			'updated_at' =>  $this->dateTime()->notNull(),
    	], $tableOptions);
    	 
		    	 
    }

    public function down()
    {
        echo "m160502_055142_add_table_waste cannot be reverted.\n";

        return false;
    }

    /*
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
    }

    public function safeDown()
    {
    }
    */
}
